  
let () =

  Alcotest.run "Unit tests" [
    "Util", Util.test_case ();
    "Bitstring", Bitstring.test_case ();
    "Spindeterminant", Spindeterminant.test_case ();
    "Determinant", Determinant.test_case ();
    "Excitation", Excitation.test_case ();
    "Sparse vectors", Vector.test_case ();
    "Sparse matrices", Matrix.test_case ();
    "Cholesky", Cholesky.test_case ();
  ];


  let basis_file   = "test_files/cc-pvdz"
  and nuclei_file  = "test_files/h2o.xyz"
  in

  let simulation_closed_shell =
    Simulation.of_filenames ~charge:0 ~multiplicity:1 ~nuclei:nuclei_file basis_file
  in

  let ao_basis = 
    Simulation.ao_basis simulation_closed_shell
  in
  Alcotest.run "Water, cc-pVDZ" [
    "AO_Basis", AOBasis.test_case ao_basis;
    "Guess", Guess.test_case ao_basis;
  ]


